JJTree (Apache Ant API)

Package org.apache.tools.ant.taskdefs.optional.javacc

## Class JJTree

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.javacc.JJTree

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class JJTree
      extends Task

  Runs the JJTree compiler compiler.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JJTree()` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Run the task.
    `void` | `setBuildnodefiles​(boolean buildNodeFiles)` | Sets the BUILD_NODE_FILES grammar option.
    `void` | `setJavacchome​(java.io.File javaccHome)` | The directory containing the JavaCC distribution.
    `void` | `setMaxmemory​(java.lang.String max)` | Corresponds -Xmx.
    `void` | `setMulti​(boolean multi)` | Sets the MULTI grammar option.
    `void` | `setNodedefaultvoid​(boolean nodeDefaultVoid)` | Sets the NODE_DEFAULT_VOID grammar option.
    `void` | `setNodefactory​(boolean nodeFactory)` | Sets the NODE_FACTORY grammar option.
    `void` | `setNodepackage​(java.lang.String nodePackage)` | Sets the NODE_PACKAGE grammar option.
    `void` | `setNodeprefix​(java.lang.String nodePrefix)` | Sets the NODE_PREFIX grammar option.
    `void` | `setNodescopehook​(boolean nodeScopeHook)` | Sets the NODE_SCOPE_HOOK grammar option.
    `void` | `setNodeusesparser​(boolean nodeUsesParser)` | Sets the NODE_USES_PARSER grammar option.
    `void` | `setOutputdirectory​(java.io.File outputDirectory)` | The directory to write the generated JavaCC grammar and node files to.
    `void` | `setOutputfile​(java.lang.String outputFile)` | The outputfile to write the generated JavaCC grammar file to.
    `void` | `setStatic​(boolean staticParser)` | Sets the STATIC grammar option.
    `void` | `setTarget​(java.io.File targetFile)` | The jjtree grammar file to process.
    `void` | `setVisitor​(boolean visitor)` | Sets the VISITOR grammar option.
    `void` | `setVisitorException​(java.lang.String visitorException)` | Sets the VISITOR_EXCEPTION grammar option.

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JJTree

          public JJTree()

      Constructor

  - ### Method Detail

    - #### setBuildnodefiles

          public void setBuildnodefiles​(boolean buildNodeFiles)

      Sets the BUILD_NODE_FILES grammar option.
      Parameters:
        `buildNodeFiles` - a `boolean` value.

    - #### setMulti

          public void setMulti​(boolean multi)

      Sets the MULTI grammar option.
      Parameters:
        `multi` - a `boolean` value.

    - #### setNodedefaultvoid

          public void setNodedefaultvoid​(boolean nodeDefaultVoid)

      Sets the NODE_DEFAULT_VOID grammar option.
      Parameters:
        `nodeDefaultVoid` - a `boolean` value.

    - #### setNodefactory

          public void setNodefactory​(boolean nodeFactory)

      Sets the NODE_FACTORY grammar option.
      Parameters:
        `nodeFactory` - a `boolean` value.

    - #### setNodescopehook

          public void setNodescopehook​(boolean nodeScopeHook)

      Sets the NODE_SCOPE_HOOK grammar option.
      Parameters:
        `nodeScopeHook` - a `boolean` value.

    - #### setNodeusesparser

          public void setNodeusesparser​(boolean nodeUsesParser)

      Sets the NODE_USES_PARSER grammar option.
      Parameters:
        `nodeUsesParser` - a `boolean` value.

    - #### setStatic

          public void setStatic​(boolean staticParser)

      Sets the STATIC grammar option.
      Parameters:
        `staticParser` - a `boolean` value.

    - #### setVisitor

          public void setVisitor​(boolean visitor)

      Sets the VISITOR grammar option.
      Parameters:
        `visitor` - a `boolean` value.

    - #### setNodepackage

          public void setNodepackage​(java.lang.String nodePackage)

      Sets the NODE_PACKAGE grammar option.
      Parameters:
        `nodePackage` - the option to use.

    - #### setVisitorException

          public void setVisitorException​(java.lang.String visitorException)

      Sets the VISITOR_EXCEPTION grammar option.
      Parameters:
        `visitorException` - the option to use.

    - #### setNodeprefix

          public void setNodeprefix​(java.lang.String nodePrefix)

      Sets the NODE_PREFIX grammar option.
      Parameters:
        `nodePrefix` - the option to use.

    - #### setOutputdirectory

          public void setOutputdirectory​(java.io.File outputDirectory)

      The directory to write the generated JavaCC grammar and node files to. If not set, the files are written to the directory containing the grammar file.
      Parameters:
        `outputDirectory` - the output directory.

    - #### setOutputfile

          public void setOutputfile​(java.lang.String outputFile)

      The outputfile to write the generated JavaCC grammar file to. If not set, the file is written with the same name as the JJTree grammar file with a suffix .jj.
      Parameters:
        `outputFile` - the output file name.

    - #### setTarget

          public void setTarget​(java.io.File targetFile)

      The jjtree grammar file to process.
      Parameters:
        `targetFile` - the grammar file.

    - #### setJavacchome

          public void setJavacchome​(java.io.File javaccHome)

      The directory containing the JavaCC distribution.
      Parameters:
        `javaccHome` - the directory containing JavaCC.

    - #### setMaxmemory

          public void setMaxmemory​(java.lang.String max)

      Corresponds -Xmx.
      Parameters:
        `max` - max memory parameter.
      Since:
        Ant 1.8.3

    - #### execute

          public void execute()
                       throws BuildException

      Run the task.
      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - on error.